/**************************************************************************\
    Copyright Microsoft Corporation. All Rights Reserved.
\**************************************************************************/

namespace Conmigo.Widgets
{
    using System;
    using System.Windows;
    using System.Windows.Controls;
    using Microsoft.Communications.Contacts;
    using Standard;

    /// <summary>
    /// Interaction logic for ContactDisplay.xaml
    /// </summary>
    public partial class ContactDisplay : Window
    {
        private ContactInfo _contactView;
        private Contact _contact;

        public ContactDisplay()
        {
            InitializeComponent();
        }

        public Contact SourceContact
        {
            set
            {
                Assert.IsNull(_contact);
                Assert.IsNotNull(value);
                _contact = value;
                _contactView = new ContactInfo(value);
                DataContext = _contactView;
            }
            get
            {
                return _contact;
            }
        }

        protected override void OnSourceInitialized(EventArgs e)
        {
            base.OnSourceInitialized(e);
        }

        private void _OnMouseLeftButtonDown(object sender, RoutedEventArgs e)
        {
            this.DragMove();
        }

        private void _OnSaveChanges(object source, RoutedEventArgs e)
        {
            ((Button)source).Focus();
            _contactView.SaveToSource();
            _contact.CommitChanges();
            this.Close();
        }
    }
}